summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Stakenvicius <axs@gentoo.org>2017-02-28 15:41:15 -0500
committerIan Stakenvicius <axs@gentoo.org>2017-02-28 15:42:01 -0500
commit6d21716841c6139b21339e97626f97b4e98d7c45 (patch)
tree99a38f2a562d33e4fdc5a4f0bd9bdd2d46858d5c
parentdev-lang/spidermonkey:45 - fix symlink installs via patch instead of sed (diff)
downloadgentoo-6d21716841c6139b21339e97626f97b4e98d7c45.tar.gz
gentoo-6d21716841c6139b21339e97626f97b4e98d7c45.tar.bz2
gentoo-6d21716841c6139b21339e97626f97b4e98d7c45.zip
dev-lang/spidermonkey:{38,45} drop more static libs
Package-Manager: portage-2.3.3
-rw-r--r--dev-lang/spidermonkey/spidermonkey-38.2.1_rc0.ebuild2
-rw-r--r--dev-lang/spidermonkey/spidermonkey-45.0.2.ebuild2
2 files changed, 2 insertions, 2 deletions
diff --git a/dev-lang/spidermonkey/spidermonkey-38.2.1_rc0.ebuild b/dev-lang/spidermonkey/spidermonkey-38.2.1_rc0.ebuild
index a34a7534a6d..42e2c0460c4 100644
--- a/dev-lang/spidermonkey/spidermonkey-38.2.1_rc0.ebuild
+++ b/dev-lang/spidermonkey/spidermonkey-38.2.1_rc0.ebuild
@@ -140,6 +140,6 @@ src_install() {
if ! use static-libs; then
# We can't actually disable building of static libraries
# They're used by the tests and in a few other places
- find "${D}" -iname '*.a' -delete || die
+ find "${D}" -iname '*.a' -o -iname '*.ajs' -delete || die
fi
}
diff --git a/dev-lang/spidermonkey/spidermonkey-45.0.2.ebuild b/dev-lang/spidermonkey/spidermonkey-45.0.2.ebuild
index addd5d92d01..26f88cce97f 100644
--- a/dev-lang/spidermonkey/spidermonkey-45.0.2.ebuild
+++ b/dev-lang/spidermonkey/spidermonkey-45.0.2.ebuild
@@ -141,6 +141,6 @@ src_install() {
if ! use static-libs; then
# We can't actually disable building of static libraries
# They're used by the tests and in a few other places
- find "${D}" -iname '*.a' -delete || die
+ find "${D}" -iname '*.a' -o -iname '*.ajs' -delete || die
fi
}